Bug 858029 - growisofs fails to close the FIRST session with SK=5h/INVALID FIELD IN CDB when burning blu-ray BD-R SL
growisofs fails to close the FIRST session with SK=5h/INVALID FIELD IN CDB wh...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: dvd+rw-tools (Show other bugs)
17
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Frantisek Kluknavsky
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-17 16:02 EDT by Reartes Guillermo
Modified: 2013-08-02 17:56 EDT (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 14:42:52 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
growisofs error when closing the first BD-R session (83.34 KB, text/plain)
2012-09-17 16:02 EDT, Reartes Guillermo
no flags Details
growisofs error when closing the first BD-R session, burning at lower speed (92.77 KB, text/plain)
2012-09-17 18:26 EDT, Reartes Guillermo
no flags Details
xorriso test (71.04 KB, text/plain)
2012-09-18 10:49 EDT, Reartes Guillermo
no flags Details
xorriso test, same size as previous growisofs (28.32 KB, text/plain)
2012-09-18 10:51 EDT, Reartes Guillermo
no flags Details
blkparse file obtained from blktrace the command below (8.88 MB, text/plain)
2013-03-10 16:35 EDT, Reartes Guillermo
no flags Details
strace output of the command executed below (28.25 MB, text/plain)
2013-03-10 16:39 EDT, Reartes Guillermo
no flags Details

  None (edit)
Description Reartes Guillermo 2012-09-17 16:02:53 EDT
Created attachment 613768 [details]
growisofs error when closing the first BD-R session

Description of problem:

When burning a BD-R, the first session is written but it cannot be closed.

Version-Release number of selected component (if applicable):
dvd+rw-tools.x86_64  7.1-9.fc17
kernel 3.5.3-1.fc17.x86_64

How reproducible:
always

Steps to Reproduce:
1. instert a BD-R SL
2. growisofs -Z /dev/sr0 -J -allow-limited-size -udf -iso-level 3 ./
3. data is "writen" but the session "fails" to close.
  
Actual results:

 99.91% done, estimate finish Mon Sep 17 16:25:35 2012
 99.98% done, estimate finish Mon Sep 17 16:25:35 2012
Total translation table size: 0
Total rockridge attributes bytes: 0
Total directory bytes: 2048
Path table size(bytes): 22
Max brk space used 0
7566770 extents written (14778 MB)
builtin_dd: 7566784*2KB out @ average 3.2x4390KBps
/dev/sr0: flushing cache
/dev/sr0: closing track
/dev/sr0: closing session
:-[ CLOSE SESSION failed with SK=5h/INVALID FIELD IN CDB]: Input/output error
/dev/sr0: reloading tray

Expected results:
no error

Additional info:

* I first noticed it when using K3b, the first time i tried to burn one BD-R. Then i tried to reproduce it without K3b, and here i am. 

* Tried two different BD-R brands.

* Writer: ATAPI iHBS112 2, CL0K
Comment 1 Reartes Guillermo 2012-09-17 18:26:36 EDT
Created attachment 613806 [details]
growisofs error when closing the first BD-R session, burning at lower speed

Unlike a default speed burn, a lot of these were shown:

:-? the LUN appears to be stuck writing LBA=2e40h, keep retrying in 2ms

The result was similar or the same.

 99.98% done, estimate finish Mon Sep 17 18:21:01 2012
Total translation table size: 0
Total rockridge attributes bytes: 2760
Total directory bytes: 2048
Path table size(bytes): 22
Max brk space used 0
7566773 extents written (14778 MB)
builtin_dd: 7566784*2KB out @ average 1.7x4390KBps
/dev/sr0: flushing cache
/dev/sr0: closing track
/dev/sr0: closing session
:-[ CLOSE SESSION failed with SK=5h/INVALID FIELD IN CDB]: Input/output error
/dev/sr0: reloading tray
Comment 2 Honza Horak 2012-09-18 04:39:51 EDT
Thanks for reporting. Is the data readable after writing with such error?

Looking at upstream mailing list, some other users had a similar issue, but it was actually harmless, when speaking about data itself on media:

http://www.mail-archive.com/cdwrite@other.debian.org/msg12106.html
http://www.mail-archive.com/cdwrite@other.debian.org/msg13071.html

(In reply to comment #1)
> :-? the LUN appears to be stuck writing LBA=2e40h, keep retrying in 2ms

This should be OK for fast drives choosing lower speed for writing. There are some sane limits, that can be too lower for your drive, so some warning messages are printed, but you don't have to pay attention to them.
Comment 3 Reartes Guillermo 2012-09-18 07:53:13 EDT
> Is the data readable after writing with such error?

I am not sure.
The disc with one big file was ok. I compared the sha256sum.

The disc with 12+ files was ok, it was really annoying to check
those sha256sum but i did it.

The disc with +100 files is not ok. The last files are not readable.
I am not sure. When reading the last 3 bad files, there are errors
in the message file:

Sep 18 08:34:28 ulquiorra kernel: [53268.787026] sr0: rw=0, want=47420264, limit=47304704
Sep 18 08:34:28 ulquiorra kernel: [53268.787042] attempt to access beyond end of device
Sep 18 08:34:28 ulquiorra kernel: [53268.787044] sr0: rw=0, want=47420264, limit=47304704
Sep 18 08:34:28 ulquiorra kernel: [53268.787047] attempt to access beyond end of device
Sep 18 08:34:28 ulquiorra kernel: [53268.787048] sr0: rw=0, want=47420264, limit=47304704
Sep 18 08:34:28 ulquiorra kernel: [53268.787058] attempt to access beyond end of device
Sep 18 08:34:28 ulquiorra kernel: [53268.787059] sr0: rw=0, want=47420264, limit=47304704
Sep 18 08:34:28 ulquiorra kernel: [53268.787067] attempt to access beyond end of device
Sep 18 08:34:28 ulquiorra kernel: [53268.787068] sr0: rw=0, want=47420264, limit=47304704
Sep 18 08:34:28 ulquiorra kernel: [53268.787071] attempt to access beyond end of device
Sep 18 08:34:28 ulquiorra kernel: [53268.787073] sr0: rw=0, want=47420264, limit=47304704
Sep 18 08:34:28 ulquiorra kernel: [53268.787076] attempt to access beyond end of device
Sep 18 08:34:28 ulquiorra kernel: [53268.787077] sr0: rw=0, want=47420264, limit=47304704

But main issue is that it blocks K3B from being able to verify
that all burned files are ok. With one or two files, one can 
calculate the sha25sum manually, but with 100+ files... 
And in my case, after burning them, i intend to delete them 
from the hdd... so the burn verify option from K3B is really needed.

https://bugs.kde.org/show_bug.cgi?id=257652
https://bugs.kde.org/show_bug.cgi?id=242128
https://bugs.kde.org/show_bug.cgi?id=281818
Comment 4 Honza Horak 2012-09-18 08:28:58 EDT
Well, I guess k3b should still do the verification, even if there are some "warnings". Maybe the problem is only how to distinguish between such warnings and real unrepairable errors.. 

Let's re-assign this to k3b for now, maybe k3b maintainers have some idea, how to solve this.

Another thought is if this error could be possibly caused by a fix for bug #810483. Can you, please, test an older build without that patch, Reartes? I've built it for F17:
https://koji.fedoraproject.org/koji/taskinfo?taskID=4497634

Another test you can do is to try libburn and xorriso utility if there is an error as well. Looking into libburn code it seems it uses some other SCSI commands to close a session, which can be less problematic.
Comment 5 Reartes Guillermo 2012-09-18 10:49:49 EDT
Created attachment 614039 [details]
xorriso test

I tried with xorriso and it did not fail. however, cannot perform the check-sums manually for such amount of files. Xorriso seems to have a lot of options. I will check them first.

I will try the suggest growisofs version later and report back.
Comment 6 Reartes Guillermo 2012-09-18 10:51:27 EDT
Created attachment 614040 [details]
xorriso test, same size as previous growisofs

The first xorriso was smaller. So i added the same files to the original growisofs
+100 files. And that failed. I am not sure why.
Comment 7 Wolfgang Rupprecht 2013-01-04 17:39:26 EST
I'm seeing the same error when writing a pre-made iso to disk with:

    growisofs -Z $RAWCD=$ISOFILE

dvd+rw-tools.x86_64                  7.1-9.fc17                      @anaconda-0
kernel.x86_64                        3.6.10-2.fc17                   @updates   

BDR drive:        LG WH14NS40
BDR disk:         Philips 6x BDR
Mounted Media:    41h, BD-R SRM
Media ID:         CMCMAG/BA5

...
23015587840/23096199168 (99.7%) @3.1x, remaining 0:06 RBU 100.0% UBU  90.3%
23063756800/23096199168 (99.9%) @3.2x, remaining 0:02 RBU 100.0% UBU  98.6%
builtin_dd: 11277456*2KB out @ average 3.0x4390KBps
/dev/sr0: flushing cache
/dev/sr0: closing track
/dev/sr0: closing session
:-[ CLOSE SESSION failed with SK=5h/INVALID FIELD IN CDB]: Input/output error
/dev/sr0: reloading tray
Comment 8 Reartes Guillermo 2013-03-10 15:00:01 EDT
I changed the component back to growisofs since the issue is reproducible without k3b.

I opened Bug 316384 "k3b cannot verify BD-R due to i/o error but logs shows none" at upstream for k3b being unable to "verify" the burned files (and just that).

Please ignore comments: #1, #2, #3
These might be different issues, i might open a bug-report for those if i can reproduce them.

I could not test the builds from #4, at that time.

I experimented with xorrisofs (comments #4, #5, #6) and nero for linux. 
I will use this bug-report for tracking the error described in both the Description (comment#0) and in comment#7.

I tried with nero for linux, and it did not exhibit the issue at all. 
Nero also had no troubles verifying the burned files.

# nerocmd --bd --verify --volume-name=demo --udf --rockridge --write --drive=11,0,0 --close-session --data /data2/*
You're running a demo version. Your license is valid until : 04/08/13
    Checking discs                                                              
[i] Checking discs                                                              
    PHASE: Start cache                                                          
    Writing to cache                                                            
[i] Caching of files started                                                    
    PHASE: Done cache                                                           
[i] Caching of files completed                                                  
[i] The current process cannot be interrupted                                   
    PHASE: Start write                                                          
    Writing to disc                                                             
[i] Burn process started at 10x (44950 KB/s)                                    
    Writing lead-in                                                             
[i] Writing lead-in                                                             
    Writing tracks                                                              
[i] Writing tracks                                                              
    Writing lead-out                                                            
[i] Writing lead-out                                                            
[i] The process can be interrupted again                                        
    PHASE: Done write                                                           
[i] Burn process completed successfully at 10x (44950 KB/s)                     
    PHASE: Verify compilation                                                   
    Verifying disc                                                              
[i] Data verification started                                                   
    PHASE: Verify end ok                                                        .......
[i] Data verification completed successfully                                    
Ok.

But for growisofs the issue does still happens for the first session only.
The next sessions do work ok.

# growisofs -Z /dev/sr0 -R -J 1/
Executing 'mkisofs -R -J 1/ | builtin_dd of=/dev/sr0 obs=32k seek=0'
I: -input-charset not specified, using utf-8 (detected in locale settings)
  1.31% done, estimate finish Sat Mar  9 17:01:32 2013
/dev/sr0: pre-formatting blank BD-R for 24.8GB...
/dev/sr0: "Current Write Speed" is 10.2x4390KBps.
  2.62% done, estimate finish Sat Mar  9 17:23:46 2013
  3.93% done, estimate finish Sat Mar  9 17:22:18 2013
  5.24% done, estimate finish Sat Mar  9 17:19:39 2013
  6.55% done, estimate finish Sat Mar  9 17:19:05 2013
  7.86% done, estimate finish Sat Mar  9 17:19:58 2013
  9.17% done, estimate finish Sat Mar  9 17:18:58 2013
 10.48% done, estimate finish Sat Mar  9 17:18:23 2013
 11.79% done, estimate finish Sat Mar  9 17:18:38 2013
 13.10% done, estimate finish Sat Mar  9 17:18:27 2013
 14.41% done, estimate finish Sat Mar  9 17:17:50 2013
 15.72% done, estimate finish Sat Mar  9 17:17:57 2013
 17.03% done, estimate finish Sat Mar  9 17:17:52 2013
 18.34% done, estimate finish Sat Mar  9 17:17:15 2013
 19.65% done, estimate finish Sat Mar  9 17:17:13 2013
 20.96% done, estimate finish Sat Mar  9 17:17:07 2013
 22.27% done, estimate finish Sat Mar  9 17:16:57 2013
 23.58% done, estimate finish Sat Mar  9 17:16:22 2013
 24.89% done, estimate finish Sat Mar  9 17:16:19 2013
 26.20% done, estimate finish Sat Mar  9 17:15:39 2013
 27.51% done, estimate finish Sat Mar  9 17:15:17 2013
 28.82% done, estimate finish Sat Mar  9 17:15:03 2013
 30.13% done, estimate finish Sat Mar  9 17:14:55 2013
 31.44% done, estimate finish Sat Mar  9 17:14:34 2013
 32.75% done, estimate finish Sat Mar  9 17:14:21 2013
 34.06% done, estimate finish Sat Mar  9 17:14:03 2013
 35.37% done, estimate finish Sat Mar  9 17:13:44 2013
 36.68% done, estimate finish Sat Mar  9 17:13:20 2013
 37.99% done, estimate finish Sat Mar  9 17:13:01 2013
 39.30% done, estimate finish Sat Mar  9 17:12:56 2013
 40.61% done, estimate finish Sat Mar  9 17:12:36 2013
 41.92% done, estimate finish Sat Mar  9 17:12:25 2013
 43.22% done, estimate finish Sat Mar  9 17:12:19 2013
 44.54% done, estimate finish Sat Mar  9 17:12:05 2013
 45.84% done, estimate finish Sat Mar  9 17:11:53 2013
 47.16% done, estimate finish Sat Mar  9 17:11:40 2013
 48.46% done, estimate finish Sat Mar  9 17:11:30 2013
 49.78% done, estimate finish Sat Mar  9 17:11:18 2013
 51.08% done, estimate finish Sat Mar  9 17:11:05 2013
 52.40% done, estimate finish Sat Mar  9 17:10:53 2013
 53.70% done, estimate finish Sat Mar  9 17:10:45 2013
 55.01% done, estimate finish Sat Mar  9 17:10:35 2013
 56.32% done, estimate finish Sat Mar  9 17:10:24 2013
 57.63% done, estimate finish Sat Mar  9 17:10:15 2013
 58.94% done, estimate finish Sat Mar  9 17:10:06 2013
 60.25% done, estimate finish Sat Mar  9 17:09:54 2013
 61.56% done, estimate finish Sat Mar  9 17:09:49 2013
 62.87% done, estimate finish Sat Mar  9 17:09:40 2013
 64.18% done, estimate finish Sat Mar  9 17:09:31 2013
 65.49% done, estimate finish Sat Mar  9 17:09:23 2013
 66.80% done, estimate finish Sat Mar  9 17:09:16 2013
 68.11% done, estimate finish Sat Mar  9 17:09:08 2013
 69.42% done, estimate finish Sat Mar  9 17:09:01 2013
 70.73% done, estimate finish Sat Mar  9 17:08:54 2013
 72.04% done, estimate finish Sat Mar  9 17:08:49 2013
 73.35% done, estimate finish Sat Mar  9 17:08:41 2013
 74.66% done, estimate finish Sat Mar  9 17:08:35 2013
 75.97% done, estimate finish Sat Mar  9 17:08:29 2013
 77.28% done, estimate finish Sat Mar  9 17:08:23 2013
 78.59% done, estimate finish Sat Mar  9 17:08:19 2013
 79.90% done, estimate finish Sat Mar  9 17:08:13 2013
 81.21% done, estimate finish Sat Mar  9 17:08:10 2013
 82.52% done, estimate finish Sat Mar  9 17:08:05 2013
 83.83% done, estimate finish Sat Mar  9 17:08:00 2013
 85.14% done, estimate finish Sat Mar  9 17:07:56 2013
 86.45% done, estimate finish Sat Mar  9 17:07:50 2013
 87.76% done, estimate finish Sat Mar  9 17:07:46 2013
 89.07% done, estimate finish Sat Mar  9 17:07:43 2013
 90.38% done, estimate finish Sat Mar  9 17:07:39 2013
 91.69% done, estimate finish Sat Mar  9 17:07:36 2013
 93.00% done, estimate finish Sat Mar  9 17:07:32 2013
 94.31% done, estimate finish Sat Mar  9 17:07:28 2013
 95.62% done, estimate finish Sat Mar  9 17:07:24 2013
 96.93% done, estimate finish Sat Mar  9 17:07:20 2013
 98.24% done, estimate finish Sat Mar  9 17:07:17 2013
 99.55% done, estimate finish Sat Mar  9 17:07:12 2013
Total translation table size: 0
Total rockridge attributes bytes: 246
Total directory bytes: 0
Path table size(bytes): 10
Max brk space used 0
381743 extents written (745 MB)
builtin_dd: 381744*2KB out @ average 0.6x4390KBps
/dev/sr0: flushing cache
/dev/sr0: closing track
/dev/sr0: closing session
:-[ CLOSE SESSION failed with SK=5h/INVALID FIELD IN CDB]: Input/output error
/dev/sr0: reloading tray


Current Software version:

kernel                  3.7.9-104.fc17.x86_64
dvd+rw-tools.x86_64     7.1-9.fc17
Comment 9 Reartes Guillermo 2013-03-10 16:35:13 EDT
Created attachment 708056 [details]
blkparse file obtained from blktrace the command below

Test #1:

Eject any disc and leave the optical drive empty.

Start the blktrace instance over the optical drive:
# blktrace -d /dev/sr0 -o - &> ~/blkt-BD-R-20130310.02.out

Inser a blank BD-R media on the optical drive and Burn with growisofs:
# growisofs -Z /dev/sr0 -R -J ./1/*

Stop the  blktrace instance over the optical drive (CTRL+C)
Obtain a human readable output of the captured file:
# cat blkt-BD-R-20130310.02.out  | blkparse -i -  -o blkparse-BD-R-20130310.02.out

Output of the command:

# growisofs -Z /dev/sr0 -R -J ./1/*
Executing 'mkisofs -R -J ./1/1.dat | builtin_dd of=/dev/sr0 obs=32k seek=0'
I: -input-charset not specified, using utf-8 (detected in locale settings)
  1.31% done, estimate finish Sun Mar 10 16:51:23 2013
/dev/sr0: pre-formatting blank BD-R for 24.8GB...
/dev/sr0: "Current Write Speed" is 10.2x4390KBps.
  2.62% done, estimate finish Sun Mar 10 17:14:53 2013
  3.93% done, estimate finish Sun Mar 10 17:08:45 2013
  5.24% done, estimate finish Sun Mar 10 17:04:44 2013
  6.55% done, estimate finish Sun Mar 10 17:02:19 2013
  7.86% done, estimate finish Sun Mar 10 17:00:42 2013
  9.17% done, estimate finish Sun Mar 10 16:59:33 2013
 10.48% done, estimate finish Sun Mar 10 16:58:41 2013
 11.79% done, estimate finish Sun Mar 10 16:58:01 2013
 13.10% done, estimate finish Sun Mar 10 16:57:29 2013
 14.41% done, estimate finish Sun Mar 10 16:57:03 2013
 15.72% done, estimate finish Sun Mar 10 16:56:41 2013
 17.03% done, estimate finish Sun Mar 10 16:56:22 2013
 18.34% done, estimate finish Sun Mar 10 16:56:06 2013
 19.65% done, estimate finish Sun Mar 10 16:55:52 2013
 20.96% done, estimate finish Sun Mar 10 16:55:40 2013
 22.27% done, estimate finish Sun Mar 10 16:55:29 2013
 23.58% done, estimate finish Sun Mar 10 16:55:20 2013
 24.89% done, estimate finish Sun Mar 10 16:55:12 2013
 26.20% done, estimate finish Sun Mar 10 16:55:04 2013
 27.51% done, estimate finish Sun Mar 10 16:54:57 2013
 28.82% done, estimate finish Sun Mar 10 16:54:51 2013
 30.13% done, estimate finish Sun Mar 10 16:54:45 2013
 31.44% done, estimate finish Sun Mar 10 16:54:40 2013
 32.75% done, estimate finish Sun Mar 10 16:54:35 2013
 34.06% done, estimate finish Sun Mar 10 16:54:30 2013
 35.37% done, estimate finish Sun Mar 10 16:54:26 2013
 36.68% done, estimate finish Sun Mar 10 16:54:20 2013
 37.99% done, estimate finish Sun Mar 10 16:54:19 2013
 39.30% done, estimate finish Sun Mar 10 16:54:13 2013
 40.61% done, estimate finish Sun Mar 10 16:54:10 2013
 41.92% done, estimate finish Sun Mar 10 16:54:07 2013
 43.22% done, estimate finish Sun Mar 10 16:54:04 2013
 44.54% done, estimate finish Sun Mar 10 16:54:02 2013
 45.84% done, estimate finish Sun Mar 10 16:54:00 2013
 47.16% done, estimate finish Sun Mar 10 16:53:57 2013
 48.46% done, estimate finish Sun Mar 10 16:53:55 2013
 49.78% done, estimate finish Sun Mar 10 16:53:53 2013
 51.08% done, estimate finish Sun Mar 10 16:53:51 2013
 52.40% done, estimate finish Sun Mar 10 16:53:49 2013
 53.70% done, estimate finish Sun Mar 10 16:53:48 2013
 55.01% done, estimate finish Sun Mar 10 16:53:46 2013
 56.32% done, estimate finish Sun Mar 10 16:53:45 2013
 57.63% done, estimate finish Sun Mar 10 16:53:43 2013
 58.94% done, estimate finish Sun Mar 10 16:53:42 2013
 60.25% done, estimate finish Sun Mar 10 16:53:40 2013
 61.56% done, estimate finish Sun Mar 10 16:53:39 2013
 62.87% done, estimate finish Sun Mar 10 16:53:38 2013
 64.18% done, estimate finish Sun Mar 10 16:53:36 2013
 65.49% done, estimate finish Sun Mar 10 16:53:35 2013
 66.80% done, estimate finish Sun Mar 10 16:53:33 2013
 68.11% done, estimate finish Sun Mar 10 16:53:32 2013
 69.42% done, estimate finish Sun Mar 10 16:53:31 2013
 70.73% done, estimate finish Sun Mar 10 16:53:30 2013
 72.04% done, estimate finish Sun Mar 10 16:53:29 2013
 73.35% done, estimate finish Sun Mar 10 16:53:28 2013
 74.66% done, estimate finish Sun Mar 10 16:53:27 2013
 75.97% done, estimate finish Sun Mar 10 16:53:26 2013
 77.28% done, estimate finish Sun Mar 10 16:53:25 2013
 78.59% done, estimate finish Sun Mar 10 16:53:25 2013
 79.90% done, estimate finish Sun Mar 10 16:53:24 2013
 81.21% done, estimate finish Sun Mar 10 16:53:23 2013
 82.52% done, estimate finish Sun Mar 10 16:53:22 2013
 83.83% done, estimate finish Sun Mar 10 16:53:21 2013
 85.14% done, estimate finish Sun Mar 10 16:53:20 2013
 86.45% done, estimate finish Sun Mar 10 16:53:19 2013
 87.76% done, estimate finish Sun Mar 10 16:53:19 2013
 89.07% done, estimate finish Sun Mar 10 16:53:18 2013
 90.38% done, estimate finish Sun Mar 10 16:53:18 2013
 91.69% done, estimate finish Sun Mar 10 16:53:17 2013
 93.00% done, estimate finish Sun Mar 10 16:53:16 2013
 94.31% done, estimate finish Sun Mar 10 16:53:16 2013
 95.62% done, estimate finish Sun Mar 10 16:53:15 2013
 96.93% done, estimate finish Sun Mar 10 16:53:14 2013
 98.24% done, estimate finish Sun Mar 10 16:53:14 2013
 99.55% done, estimate finish Sun Mar 10 16:53:13 2013
Total translation table size: 0
Total rockridge attributes bytes: 246
Total directory bytes: 0
Path table size(bytes): 10
Max brk space used 0
381743 extents written (745 MB)
builtin_dd: 381744*2KB out @ average 2.3x4390KBps
/dev/sr0: flushing cache
/dev/sr0: closing track
/dev/sr0: closing session
:-[ CLOSE SESSION failed with SK=5h/INVALID FIELD IN CDB]: Input/output error
/dev/sr0: reloading tray
Comment 10 Reartes Guillermo 2013-03-10 16:39:45 EDT
Created attachment 708057 [details]
strace output of the command executed below

Test #2:

Insert a new blank media into the optical drive and burn with growisofs while performing an strace:
# strace -f -o growisofs-strace-20130310.03.out growisofs -Z /dev/sr0 -R -J ./1/*

Output of the command:

# strace -f -o growisofs-strace-20130310.03.out growisofs -Z /dev/sr0 -R -J ./1/*
Executing 'mkisofs -R -J ./1/1.dat | builtin_dd of=/dev/sr0 obs=32k seek=0'
I: -input-charset not specified, using utf-8 (detected in locale settings)
  1.31% done, estimate finish Sun Mar 10 17:16:26 2013
/dev/sr0: pre-formatting blank BD-R for 24.8GB...
/dev/sr0: "Current Write Speed" is 12.3x4390KBps.
  2.62% done, estimate finish Sun Mar 10 17:37:23 2013
  3.93% done, estimate finish Sun Mar 10 17:32:07 2013
  5.24% done, estimate finish Sun Mar 10 17:28:30 2013
  6.55% done, estimate finish Sun Mar 10 17:26:21 2013
  7.86% done, estimate finish Sun Mar 10 17:24:54 2013
  9.17% done, estimate finish Sun Mar 10 17:23:53 2013
 10.48% done, estimate finish Sun Mar 10 17:23:06 2013
 11.79% done, estimate finish Sun Mar 10 17:22:30 2013
 13.10% done, estimate finish Sun Mar 10 17:22:01 2013
 14.41% done, estimate finish Sun Mar 10 17:21:38 2013
 15.72% done, estimate finish Sun Mar 10 17:21:18 2013
 17.03% done, estimate finish Sun Mar 10 17:21:01 2013
 18.34% done, estimate finish Sun Mar 10 17:20:47 2013
 19.65% done, estimate finish Sun Mar 10 17:20:35 2013
 20.96% done, estimate finish Sun Mar 10 17:20:24 2013
 22.27% done, estimate finish Sun Mar 10 17:20:15 2013
 23.58% done, estimate finish Sun Mar 10 17:20:06 2013
 24.89% done, estimate finish Sun Mar 10 17:19:58 2013
 26.20% done, estimate finish Sun Mar 10 17:19:52 2013
 27.51% done, estimate finish Sun Mar 10 17:19:45 2013
 28.82% done, estimate finish Sun Mar 10 17:19:40 2013
 30.13% done, estimate finish Sun Mar 10 17:19:35 2013
 31.44% done, estimate finish Sun Mar 10 17:19:30 2013
 32.75% done, estimate finish Sun Mar 10 17:19:26 2013
 34.06% done, estimate finish Sun Mar 10 17:19:22 2013
 35.37% done, estimate finish Sun Mar 10 17:19:18 2013
 36.68% done, estimate finish Sun Mar 10 17:19:15 2013
 37.99% done, estimate finish Sun Mar 10 17:19:11 2013
 39.30% done, estimate finish Sun Mar 10 17:19:08 2013
 40.61% done, estimate finish Sun Mar 10 17:19:06 2013
 41.92% done, estimate finish Sun Mar 10 17:19:03 2013
 43.22% done, estimate finish Sun Mar 10 17:19:01 2013
 44.54% done, estimate finish Sun Mar 10 17:18:58 2013
 45.84% done, estimate finish Sun Mar 10 17:18:56 2013
 47.16% done, estimate finish Sun Mar 10 17:18:54 2013
 48.46% done, estimate finish Sun Mar 10 17:18:52 2013
 49.78% done, estimate finish Sun Mar 10 17:18:50 2013
 51.08% done, estimate finish Sun Mar 10 17:18:48 2013
 52.40% done, estimate finish Sun Mar 10 17:18:47 2013
 53.70% done, estimate finish Sun Mar 10 17:18:45 2013
 55.01% done, estimate finish Sun Mar 10 17:18:45 2013
 56.32% done, estimate finish Sun Mar 10 17:18:44 2013
 57.63% done, estimate finish Sun Mar 10 17:18:41 2013
 58.94% done, estimate finish Sun Mar 10 17:18:40 2013
 60.25% done, estimate finish Sun Mar 10 17:18:40 2013
 61.56% done, estimate finish Sun Mar 10 17:18:39 2013
 62.87% done, estimate finish Sun Mar 10 17:18:36 2013
 64.18% done, estimate finish Sun Mar 10 17:18:35 2013
 65.49% done, estimate finish Sun Mar 10 17:18:35 2013
 66.80% done, estimate finish Sun Mar 10 17:18:33 2013
 68.11% done, estimate finish Sun Mar 10 17:18:33 2013
 69.42% done, estimate finish Sun Mar 10 17:18:32 2013
 70.73% done, estimate finish Sun Mar 10 17:18:31 2013
 72.04% done, estimate finish Sun Mar 10 17:18:32 2013
 73.35% done, estimate finish Sun Mar 10 17:18:31 2013
 74.66% done, estimate finish Sun Mar 10 17:18:30 2013
 75.97% done, estimate finish Sun Mar 10 17:18:28 2013
 77.28% done, estimate finish Sun Mar 10 17:18:27 2013
 78.59% done, estimate finish Sun Mar 10 17:18:26 2013
 79.90% done, estimate finish Sun Mar 10 17:18:26 2013
 81.21% done, estimate finish Sun Mar 10 17:18:25 2013
 82.52% done, estimate finish Sun Mar 10 17:18:25 2013
 83.83% done, estimate finish Sun Mar 10 17:18:24 2013
 85.14% done, estimate finish Sun Mar 10 17:18:24 2013
 86.45% done, estimate finish Sun Mar 10 17:18:23 2013
 87.76% done, estimate finish Sun Mar 10 17:18:23 2013
 89.07% done, estimate finish Sun Mar 10 17:18:22 2013
 90.38% done, estimate finish Sun Mar 10 17:18:22 2013
 91.69% done, estimate finish Sun Mar 10 17:18:21 2013
 93.00% done, estimate finish Sun Mar 10 17:18:19 2013
 94.31% done, estimate finish Sun Mar 10 17:18:19 2013
 95.62% done, estimate finish Sun Mar 10 17:18:18 2013
 96.93% done, estimate finish Sun Mar 10 17:18:18 2013
 98.24% done, estimate finish Sun Mar 10 17:18:17 2013
 99.55% done, estimate finish Sun Mar 10 17:18:17 2013
Total translation table size: 0
Total rockridge attributes bytes: 246
Total directory bytes: 0
Path table size(bytes): 10
Max brk space used 0
381743 extents written (745 MB)
builtin_dd: 381744*2KB out @ average 2.1x4390KBps
/dev/sr0: flushing cache
/dev/sr0: closing track
/dev/sr0: closing session
:-[ CLOSE SESSION failed with SK=5h/INVALID FIELD IN CDB]: Input/output error
/dev/sr0: reloading tray
Comment 11 Fedora Update System 2013-06-24 12:25:19 EDT
dvd+rw-tools-7.1-13.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/dvd+rw-tools-7.1-13.fc18
Comment 12 Frantisek Kluknavsky 2013-06-24 12:35:00 EDT
Could you please test if the update fixes your problem?
Comment 13 Reartes Guillermo 2013-06-24 12:40:13 EDT
Hi,

Both systems have currently F17 Installed. Sadly, i don't have any F18 installation at the moment.
 
But since i skipped F18, F19b is also installed on both systems for testing.
Additionally, i now have another writer to test, on the other system.
Comment 14 Fedora Update System 2013-06-24 13:05:04 EDT
dvd+rw-tools-7.1-13.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/dvd+rw-tools-7.1-13.fc17
Comment 15 Reartes Guillermo 2013-06-24 15:25:50 EDT
Ok, i tested System#1 with F17 (dvd+rw-tools-7.1-13.fc17) and 
System#2 with F19 (dvd+rw-tools-7.1-13.fc19):

* System#1 F17: Model: iHBS112, FW: CL0K (Kernel: 3.8.13-100.fc17.x86_64)
* System#2 F19: Model: iHBS112, FW: PL01 (Kernel: 3.9.6-301.fc19.x86_64)

I was able to write the first session without any error both with
growisofs directly and with K3b (and verify the written disc is now working!)
It seems fixed! Thanks!
Comment 16 Fedora End Of Life 2013-07-04 03:00:37 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 17 Fedora Update System 2013-07-09 08:33:56 EDT
dvd+rw-tools-7.1-13.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/FEDORA-2013-11668/dvd+rw-tools-7.1-13.fc19
Comment 18 Fedora Update System 2013-07-15 21:47:12 EDT
dvd+rw-tools-7.1-13.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 19 Fedora End Of Life 2013-08-01 14:42:57 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 20 Fedora Update System 2013-08-02 17:56:02 EDT
dvd+rw-tools-7.1-13.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.